Page MenuHomePhabricator

flow-create-board for bureaucrats?, global renamers? stewards (done) (and "Global rename script" ?)
Open, Needs TriagePublic

Description

Do stewards need flow-create-board for global renames to be able to rename user's Flow boards? They don't have it currently.

@Trizek-WMF:
Every time a user who uses Flow on its talk page asks to change its username, the Flow board is not moved.
Last case. I had to be pinged, find someone to delete the destination page and then move the Flow board (when I have enough rights to move Flow pages on the designated wiki). Give the right to bureaucrats to move Flow boards would help.

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptFeb 8 2016, 4:01 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptFeb 8 2016, 4:09 PM

We can add the right to ourselves if you think it is needed.

Krenair added a subscriber: Krenair.Feb 8 2016, 5:31 PM
Johsthao closed this task as a duplicate of T126250: <spam>.Feb 8 2016, 6:24 PM
JEumerus reopened this task as Open.Feb 8 2016, 6:28 PM
JEumerus set Security to None.
Mattflaschen-WMF closed this task as Declined.Feb 9 2016, 10:38 PM
Mattflaschen-WMF claimed this task.

I checked with @Legoktm. Global rename bypasses permissions checks, so this is unnecessary provided Flow does its checks in the right way (T126389: Update move permission code).

If so, apparently this is needed for "Global rename script" as well per T159482: Enable Flow in cawiki User talk namespace of new users.

Mattflaschen-WMF renamed this task from flow-create-board for stewards? to flow-create-board for stewards (and "Global rename script"?)?.Mar 5 2017, 4:30 AM

We've added the 'flow-create-board' right to our global group so we can manually fix Flow board moves afterwards. This is still an issue of course, and the best solution IMHO would be what I mentioned on T150572. Thanks.

Mattflaschen-WMF reopened this task as Open.Mar 6 2017, 9:17 PM

Alright, let's also see if that helps with the automated moves too. We may still need to do 'Global rename script' as well.

@Mattflaschen-WMF: New issue with this today at zh.wiki again. Now that we have 'flow-create-board' rights on our global group I could move the page (but I had to delete the destination page first in order to move the board as the system complained that the content model was not allowed in the target page).

My idea is that globalrename does this, either with our accounts or Global rename script when our accounts do not exist on the wiki. The other option might be to have Flow talk page manager do this for each user rename. Does that sound good as well? Regards.

@Mattflaschen-WMF: New issue with this today at zh.wiki again. Now that we have 'flow-create-board' rights on our global group I could move the page (but I had to delete the destination page first in order to move the board as the system complained that the content model was not allowed in the target page).

Did you start with the global rename, or start with the a manual rename?

Did you get the error about "content model was not allowed in the target page" in the global rename or in a manual rename?

Was the destination page a redirect? Does global rename normally delete destination pages automatically?

Did you start with the global rename, or start with the a manual rename?

A global renamer just did the global rename first, of course. He later noticed that the Flow board didn't moved, so he asked me if I could manually fix it so I did.

Did you get the error about "content model was not allowed in the target page" in the global rename or in a manual rename?

In the manual page-move.

Was the destination page a redirect? Does global rename normally delete destination pages automatically?

No, destination page was not a redirect. It had wikitext content though which was added after the rename was performed (page didn't existed before the rename).

Regards.

Did you start with the global rename, or start with the a manual rename?

A global renamer just did the global rename first, of course. He later noticed that the Flow board didn't moved, so he asked me if I could manually fix it so I did.

Got it, thanks. Also, I see the renaming user did exist on zh.wiki, so 'Global rename script' isn't relevant for this case.

So we still need to track down T150572: When a page move is triggered by RenameUserJob, page should be moved anyways even if it is a Flow board. Giving 'Global rename script' flow-create-board probably wouldn't help.

Mattflaschen-WMF renamed this task from flow-create-board for stewards (and "Global rename script"?)? to flow-create-board for stewards.Mar 7 2017, 10:59 PM
Mattflaschen-WMF closed this task as Resolved.
Mattflaschen-WMF removed Mattflaschen-WMF as the assignee of this task.
Mattflaschen-WMF renamed this task from flow-create-board for stewards to flow-create-board for stewards (done) (and "Global rename script" ?).Mar 7 2017, 11:09 PM
Mattflaschen-WMF reopened this task as Open.
Mattflaschen-WMF renamed this task from flow-create-board for stewards (done) (and "Global rename script" ?) to flow-create-board for bureaucrats?, global renamers? stewards (done) (and "Global rename script" ?).Apr 20 2017, 7:52 PM
Mattflaschen-WMF updated the task description. (Show Details)

I don't remember why we didn't give flow-create-board to global renamers. @MarcoAurelio Any objection to adding global renamers?

That may not solve the "I could move the page (but I had to delete the destination page first in order to move the board as the system complained that the content model was not allowed in the target page).", but it should at least address cases where there is no destination page.

(@Trizek-WMF If I read https://meta.wikimedia.org/wiki/Global_renamers right, the 'bureaucrat' group technically is not relevant. It's just there is overlap between the two groups.)

Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 3 2019, 6:24 AM
kostajh moved this task from Inbox to Triaged but Future on the Growth-Team board.Sep 3 2019, 10:58 AM
kostajh added a subscriber: kostajh.

I've put T231783 in upcoming work for the Growth-Team. As for this task, it seems like the title & description need to be updated to make it more clear about what is being requested here. Because of unclear requirements and the upcoming Talk Pages project, the Growth-Team will not work on this in the short-to-medium term.